package com.pcloud.book.rightsSetting.dao;

import com.pcloud.book.rightsSetting.entity.RightsSettingItemDetail;
import com.pcloud.common.core.dao.BaseDao;
import java.util.List;

/**
 * (RightsSettingItemDetail)表数据库访问层
 *
 * @author makejava
 * @since 2020-05-18 22:28:12
 */
public interface RightsSettingItemDetailDao extends BaseDao<RightsSettingItemDetail> {

    void deleteByItemIds(List<Long> rightsSettingItemIds);

    List<RightsSettingItemDetail> getByItemIds(List<Long> itemIds);

    List<Long> getAdviserGroupIds(List<Long> ids);

    List<Long> getActivityGroupIds(List<Long> ids);
}